Service (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.Service interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface Service

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  ActiveDirectory, DNSService, FileSystemService, GenericService, LDAPService, NFSService, SMBService, SMTPService, VeritasStorageService, WebService

    public interface Service

extends LogicalElement, ConfigurationItem

Naming Rules:
  0="primarySAP" 1="host,name" 2="managedSystemName"
Persistable:
  true
Table Name:
  SERVICE
Top Level:
  true
Display Name:
  host,primarySAP

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ComputerSystem` | `getHost()`
`java.lang.String` | `getName()`
`ServiceAccessPoint` | `getPrimarySAP()`
`java.lang.String` | `getProductName()`
`java.lang.String` | `getProductVersion()`
`ServiceAccessPoint[]` | `getServiceAccessPoints()`
`SoftwareInstallation` | `getSoftwareInstallation()`
`java.lang.String` | `getVendorName()`
`boolean` | `hasHost()`
`boolean` | `hasName()`
`boolean` | `hasPrimarySAP()`
`boolean` | `hasProductName()`
`boolean` | `hasProductVersion()`
`boolean` | `hasServiceAccessPoints()`
`boolean` | `hasSoftwareInstallation()`
`boolean` | `hasVendorName()`
`void` | `setHost(ComputerSystem host)`
`void` | `setName(java.lang.String s)`
`void` | `setPrimarySAP(ServiceAccessPoint sap)`
`void` | `setProductName(java.lang.String s)`
`void` | `setProductVersion(java.lang.String s)`
`void` | `setServiceAccessPoints(ServiceAccessPoint[] saps)`
`void` | `setSoftwareInstallation(SoftwareInstallation x)`
`void` | `setVendorName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getProductName

    java.lang.String getProductName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductName

    void setProductName(java.lang.String s)

### hasProductName

    boolean hasProductName()

### getVendorName

    java.lang.String getVendorName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVendorName

    void setVendorName(java.lang.String s)

### hasVendorName

    boolean hasVendorName()

### getProductVersion

    java.lang.String getProductVersion()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProductVersion

    void setProductVersion(java.lang.String s)

### hasProductVersion

    boolean hasProductVersion()

### getServiceAccessPoints

    ServiceAccessPoint[] getServiceAccessPoints()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setServiceAccessPoints

    void setServiceAccessPoints(ServiceAccessPoint[] saps)

### hasServiceAccessPoints

    boolean hasServiceAccessPoints()

### getHost

    ComputerSystem getHost()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="true"

### setHost

    void setHost(ComputerSystem host)

### hasHost

    boolean hasHost()

### getSoftwareInstallation

    SoftwareInstallation getSoftwareInstallation()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="false"

### setSoftwareInstallation

    void setSoftwareInstallation(SoftwareInstallation x)

### hasSoftwareInstallation

    boolean hasSoftwareInstallation()

### getPrimarySAP

    ServiceAccessPoint getPrimarySAP()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedViaAsPrimary" reverse="false"

### setPrimarySAP

    void setPrimarySAP(ServiceAccessPoint sap)

### hasPrimarySAP

    boolean hasPrimarySAP()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD